"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StarRail = void 0;
const koishi_1 = require("koishi");
var StarRail;
(function (StarRail) {
    StarRail.fields = [];
})(StarRail = exports.StarRail || (exports.StarRail = {}));
class StarRailDatabase extends koishi_1.DatabaseService {
    constructor(app) {
        super(app);
        this.extend('binding', {
            sr: 'list'
        });
        this.extend('user', {
            sr_uid: 'string(9)'
        });
        this.extend('star_rail', {
            id: 'unsigned',
            uid: 'string(9)',
            doken: 'string',
            cookie: 'text'
        });
    }
}
exports.default = StarRailDatabase;
