import { Command, Context, Schema, Service } from 'koishi';
declare module 'koishi' {
    interface Context {
        starrail: HonkaiStarRail;
    }
}
declare class HonkaiStarRail extends Service {
    private app;
    private config;
    constructor(app: Context, config: HonkaiStarRail.Config);
    protected ready(ctx: Context): () => Promise<void>;
    private defineCommand;
    subcommand<D extends string>(def: D, config?: Command.Config): Command;
    subcommand<D extends string>(def: D, desc: string, config?: Command.Config): Command;
    dercommand<D extends string>(def: D, config?: Command.Config): Command;
    dercommand<D extends string>(def: D, desc: string, config?: Command.Config): Command;
    /**
     * WIP
     */
    getUid(): void;
    setUid(): void;
}
declare namespace HonkaiStarRail {
    interface Config {
    }
    const Config: Schema<Config>;
}
export * from './internal/database';
export default HonkaiStarRail;
