"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const koishi_1 = require("koishi");
const database_1 = __importDefault(require("./internal/database"));
class HonkaiStarRail extends koishi_1.Service {
    constructor(app, config) {
        super(app, 'starrail', true);
        this.app = app;
        this.config = config;
        app.on('ready', this.ready(app));
    }
    ready(ctx) {
        ctx.command('sr').action(async ({ session }) => session.execute('help sr'));
        return async () => {
            // apply internal plugins.
            ctx.plugin(database_1.default);
            // ctx.plugin(StarRailCommand, this.config)
        };
    }
    defineCommand(command, type, ...args) {
        const def = type === 'subset' ? `sr.${command}` : `sr/${command}`;
        const desc = typeof args[0] === 'string' ? args.shift() : '';
        const config = args[0] || {};
        return this.app.command(def, desc, config);
    }
    subcommand(def, ...args) {
        return this.defineCommand(def, 'subset', ...args);
    }
    dercommand(def, ...args) {
        return this.defineCommand(def, 'derive', ...args);
    }
    /**
     * WIP
     */
    getUid() { }
    setUid() { }
}
(function (HonkaiStarRail) {
    HonkaiStarRail.Config = koishi_1.Schema.intersect([
        koishi_1.Schema.object({})
    ]);
})(HonkaiStarRail || (HonkaiStarRail = {}));
__exportStar(require("./internal/database"), exports);
exports.default = HonkaiStarRail;
